ffmpeg-4-private-devel-4.0.1-lp150.7.1.x86_64.rpm


Advertisement

Description

ffmpeg-4-private-devel - Some FFmpeg private headers

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Update Oss all
Package filename ffmpeg-4-private-devel-4.0.1-lp150.7.1.x86_64.rpm
Package name ffmpeg-4-private-devel
Package version 4.0.1
Package release lp150.7.1
Package architecture x86_64
Package type rpm
Category Development/Libraries/C and C++
Homepage https://ffmpeg.org/
License LGPL-2.1-or-later AND GPL-2.0-or-later
Maintainer -
Download size 79.39 KB
Installed size 138.34 KB
FFmpeg is a multimedia framework, able to decode, encode,
transcode, mux, demux, stream, filter and play several formats
that humans and machines have created.
This package contains some private headers for libavformat, libavcodec and
libavutil which are needed by libav-tools to build. No other package apart
from libav should depend on these private headers which are expected to
break compatibility without any notice.

Alternatives

Package Version Architecture Repository
ffmpeg-4-private-devel-4.1.3-lp150.66.1.x86_64.rpm 4.1.3 x86_64 Multimedia Libs
ffmpeg-4-private-devel-4.0.2-lp150.19.6.x86_64.rpm 4.0.2 x86_64 Packman
ffmpeg-4-private-devel-4.0.2-lp150.19.5.armv7hl.rpm 4.0.2 armv7hl Packman
ffmpeg-4-private-devel-4.0.2-lp150.19.5.aarch64.rpm 4.0.2 aarch64 Packman
ffmpeg-4-private-devel-4.0.2-lp150.13.1.x86_64.rpm 4.0.2 x86_64 openSUSE Update Oss
ffmpeg-4-private-devel-4.0.1-lp150.10.1.x86_64.rpm 4.0.1 x86_64 openSUSE Update Oss
ffmpeg-4-private-devel-4.0.1-lp150.3.1.x86_64.rpm 4.0.1 x86_64 openSUSE Update Test
ffmpeg-4-private-devel-4.0.1-lp150.2.2.x86_64.rpm 4.0.1 x86_64 openSUSE Update Oss
ffmpeg-4-private-devel - - -

Requires

Name Value
ffmpeg-4-libavcodec-devel = 4.0.1-lp150.7.1
ffmpeg-4-libavformat-devel = 4.0.1-lp150.7.1
ffmpeg-4-libavutil-devel = 4.0.1-lp150.7.1

Provides

Name Value
ffmpeg-4-private-devel = 4.0.1-lp150.7.1
ffmpeg-4-private-devel(x86-64) = 4.0.1-lp150.7.1
ffmpeg-private-devel = 4.0.1

Conflicts

Name Value
ffmpeg-private-devel -
ffmpeg-private-devel < 4
ffmpeg-private-devel >= 5
libavcodec-devel < 4
libavcodec-devel >= 5
libavdevice-devel < 4
libavdevice-devel >= 5
libavfilter-devel < 4
libavfilter-devel >= 5
libavformat-devel < 4
libavformat-devel >= 5
libavresample-devel < 4
libavresample-devel >= 5
libavutil-devel < 4
libavutil-devel >= 5
libpostproc-devel < 4
libpostproc-devel >= 5
libswresample-devel < 4
libswresample-devel >= 5
libswscale-devel < 4
libswscale-devel >= 5

Download

Type URL
Mirror widehat.opensuse.org
Binary Package ffmpeg-4-private-devel-4.0.1-lp150.7.1.x86_64.rpm
Source Package ffmpeg-4-4.0.1-lp150.7.1.src.rpm

Install Howto

Install ffmpeg-4-private-devel rpm package:

# zypper install ffmpeg-4-private-devel

Files

Path
/usr/include/ffmpeg/private/
/usr/include/ffmpeg/private/libavcodec/options_table.h
/usr/include/ffmpeg/private/libavformat/internal.h
/usr/include/ffmpeg/private/libavformat/options_table.h
/usr/include/ffmpeg/private/libavformat/os_support.h
/usr/include/ffmpeg/private/libavutil/colorspace.h
/usr/include/ffmpeg/private/libavutil/internal.h
/usr/include/ffmpeg/private/libavutil/libm.h
/usr/include/ffmpeg/private/libavutil/timer.h
/usr/include/ffmpeg/private/libavutil/aarch64/timer.h
/usr/include/ffmpeg/private/libavutil/arm/timer.h
/usr/include/ffmpeg/private/libavutil/bfin/timer.h
/usr/include/ffmpeg/private/libavutil/ppc/timer.h
/usr/include/ffmpeg/private/libavutil/x86/emms.h
/usr/include/ffmpeg/private/libavutil/x86/timer.h

Changelog

2018-07-27 - tchvatal@suse.com
- Reduce the optional conditional for the SLE12 backports to
cover everything, most of the packages in old codestreams were
not really ready as they need additional baselibs/etc.
* Since these are new features user will simply wait or use TW
2018-07-27 - jengelh@inai.de
- Enable "kmsgrab" input device
2018-07-26 - tchvatal@suse.com
- Redo the nvidia condition based on review feeback
2018-07-25 - tchvatal@suse.com
- Do not condition nvidia based on BUILD_ORIG all the support is in
TW only and not on different instances as such safeguard it with
version check only bsc#1102532
2018-07-18 - tchvatal@suse.com
- Add new bconds to build on SLE12 backports project without
requiring extra packages:
* %bcond_without codec2
* %bcond_without bs2b
* %bcond_without lv2
* %bcond_without rubberband
* %bcond_without soxr
* %bcond_without zmq
2018-07-06 - tchvatal@suse.com
- Fix typo in swresample name
2018-07-04 - tchvatal@suse.com
- Conditionalize full build to be primary only on Leap15+
2018-07-03 - tchvatal@suse.com
- Add macros to allow conflicting with all other devel projects
to ensure we always install only one specific ffmpeg
2018-06-30 - tchvatal@suse.com
- Conditionalize the vidstab build to not pull it on old releases
- Conditionalize srt support to not pull it on older releases
- ------------------------------------------------------------------
2018-06-29 - 9+suse@cirno.systems
- Enable ffnvcodec when building with NVIDIA support

See Also

Package Description
file-5.32-lp150.6.3.1.x86_64.rpm A Tool to Determine File Types
file-devel-32bit-5.32-lp150.6.3.1.x86_64.rpm Development files for libmagic, a library to determine file types
file-devel-5.32-lp150.6.3.1.x86_64.rpm Development files for libmagic, a library to determine file types
file-magic-5.32-lp150.6.3.1.noarch.rpm Database for libmagic to help identify files
filesystem-15.0-lp150.8.3.1.x86_64.rpm Basic Directory Layout
firewall-applet-0.5.3-lp150.2.3.1.noarch.rpm Firewall panel applet
firewall-applet-0.5.4-lp150.2.6.1.noarch.rpm Firewall panel applet
firewall-applet-0.5.5-lp150.2.12.1.noarch.rpm Firewall panel applet
firewall-applet-0.5.5-lp150.2.15.1.noarch.rpm Firewall panel applet
firewall-applet-0.5.5-lp150.2.18.1.noarch.rpm Firewall panel applet
firewall-applet-0.5.5-lp150.2.22.2.noarch.rpm Firewall panel applet
firewall-applet-0.5.5-lp150.2.9.1.noarch.rpm Firewall panel applet
firewall-config-0.5.3-lp150.2.3.1.noarch.rpm Firewall configuration application
firewall-config-0.5.4-lp150.2.6.1.noarch.rpm Firewall configuration application
firewall-config-0.5.5-lp150.2.12.1.noarch.rpm Firewall configuration application
Advertisement
Advertisement